Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 632372 - sci-geosciences/gpsd-3.17-r2 stabilization
Summary: sci-geosciences/gpsd-3.17-r2 stabilization
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Sci-geo Project
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 642154
Blocks: gcc-6-stable 640998 642326
  Show dependency tree
 
Reported: 2017-09-29 12:49 UTC by Andreas K. Hüttel
Modified: 2018-04-15 17:20 UTC (History)
2 users (show)

See Also:
Package list:
sci-geosciences/gpsd-3.17-r2
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas K. Hüttel gentoo-dev 2017-09-29 12:49:17 UTC
sci-geosciences/gpsd-3.17 stabilization: please cc arches if possible. Needed for gcc-6 compatibility.
Comment 1 Rolf Eike Beer 2017-09-30 21:18:36 UTC
Test phase passes on hppa and sparc.
Comment 2 Andrius Štikonas 2017-11-20 19:10:06 UTC
Ping? gcc-6 is now stable.
Comment 3 Andrew Petelin 2017-12-06 11:12:32 UTC
Currently stable version 3.16 build fails with gcc-6.4.0:

> In file included from clock_gettime.c:10:0:
> compiler.h: In function 'void memory_barrier()':
> compiler.h:93:25: error: 'memory_order_seq_cst' was not declared in this scope
>      atomic_thread_fence(memory_order_seq_cst);
>                          ^~~~~~~~~~~~~~~~~~~~

$ gcc-config -l
 [1] x86_64-pc-linux-gnu-6.4.0 *
 [2] x86_64-pc-linux-gnu-7.2.0

Related bugs:

* https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=830993
* http://lists.busybox.net/pipermail/buildroot/2016-November/178088.html
Comment 4 Thomas Deutschmann gentoo-dev Security 2017-12-08 20:41:13 UTC
x86 stable
Comment 5 Tobias Klausmann gentoo-dev 2017-12-16 10:34:26 UTC
Stable on amd64.
Comment 6 Andreas Sturmlechner gentoo-dev 2017-12-28 21:24:16 UTC
Maybe stabilisation target should be bumped to -r1. It switched to Qt5 and fixes at least two build/install issues also present in 3.17.
Comment 7 Andreas Sturmlechner gentoo-dev 2018-01-12 16:01:52 UTC
-r2 fixes USE-X, bumping stabilisation target and re-adding amd64/x86. TIA.
Comment 8 Tobias Klausmann gentoo-dev 2018-01-15 19:06:54 UTC
Stable on amd64.
Comment 9 Thomas Deutschmann gentoo-dev Security 2018-01-29 01:09:29 UTC
x86 stable
Comment 10 Larry the Git Cow gentoo-dev 2018-02-06 19:35:23 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9f52f6421ecbe3ec235979016783f9af9371714f

commit 9f52f6421ecbe3ec235979016783f9af9371714f
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-02-04 00:14:53 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-02-06 19:35:10 +0000

    sci-geosciences/gpsd: Drop old
    
    Closes: https://bugs.gentoo.org/632372
    Package-Manager: Portage-2.3.24, Repoman-2.3.6

 sci-geosciences/gpsd/Manifest                      |   2 -
 sci-geosciences/gpsd/files/gpsd-3.10-dbus.patch    |  32 ----
 .../gpsd/files/gpsd-3.10-nmea-disabled.patch       |  54 -------
 sci-geosciences/gpsd/files/gpsd-3.10-rpath.patch   |  13 --
 .../gpsd/files/gpsd-3.10-udev-install.patch        |  40 -----
 .../gpsd/files/gpsd-3.15-broken-install.patch      |  28 ----
 .../gpsd/files/gpsd-3.15-dynamic-libs.patch        | 100 ------------
 sci-geosciences/gpsd/files/gpsd-3.15-libgpsd.patch |  81 ----------
 .../gpsd/files/gpsd-3.15-timebase.patch            |  12 --
 .../gpsd/files/gpsd-3.16-sysmacros.patch           |  31 ----
 sci-geosciences/gpsd/files/gpsd-3.8-ldflags.patch  |  15 --
 sci-geosciences/gpsd/gpsd-3.10.ebuild              | 167 --------------------
 sci-geosciences/gpsd/gpsd-3.16.ebuild              | 170 ---------------------
 sci-geosciences/gpsd/gpsd-3.17.ebuild              | 163 --------------------
 14 files changed, 908 deletions(-)
Comment 11 Andreas Sturmlechner gentoo-dev 2018-02-28 18:57:56 UTC
Re-opening for arm.
Comment 12 Andreas Sturmlechner gentoo-dev 2018-04-06 01:37:05 UTC
No longer blocking qt4-removal.
Comment 13 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2018-04-15 17:20:12 UTC
arm stable